Summary: Package that installs go-toolset
Name: go-toolset
Version: 1.11.5
Release: 2%{?dist}
License: GPLv2+
ExclusiveArch:x86_64 aarch64 ppc64le s390x

Requires: golang

Obsoletes: go-toolset-1.10-dockerfiles < 1.8-13

%description
This is the main package for go-toolset.

%prep
%setup -c -T

%install

# Meta package, nothing to install here.

%files

# Meta package, no files.

%changelog
* Thu Apr 4 2019 Derek Parker <deparker@redhat.com> - 1.11.5-2
- Include patch to fix CVE-2019-9741
- Resolves: rhbz#1690443

* Thu Feb 7 2019 Derek Parker <deparker@redhat.com> - 1.11.5-1
- Rebase to 1.11.5
- Resolves: rhbz#1671277
- Fixes CVE-2019-6486

* Thu Jan 10 2019 Derek Parker <deparker@redhat.com> - 1.11.4-1
- Rebase to 1.11.4

* Tue Dec 11 2018 Derek Parker <deparker@redhat.com> - 1.11.2-1
- Rebase to 1.11.2

* Fri Nov 16 2018 Derek Parker <deparker@redhat.com> - 1.10.3-13
- Update to remove SCL from macros

* Wed Nov 7 2018 Derek Parker <deparker@redhat.com> - 1.10.3-12
- Prefer go-toolset over go-toolset-1.10 in golang package
- Resolves: rhbz#1630786

* Mon Nov 5 2018 Derek Parker <deparker@redhat.com> - 1.10.3-11
- Update for new golang fixing implicit syscall declaration warning

* Mon Nov 5 2018 Derek Parker <deparker@redhat.com> - 1.10.3-10
- Remove usage of redhat hardening flag file, just pass a select few manually
- Resolves: rhbz#1642798

* Wed Oct 31 2018 Derek Parker <deparker@redhat.com> - 1.10.3-9
- Do not build toolchain in PIE mode
- Resolves: rhbz#1642798

* Fri Oct 26 2018 Derek Parker <deparker@redhat.com> - 1.10.3-8
- Bump to include FIPS setting fixes
- Resolves: rhbz#1643653

* Wed Oct 10 2018 Derek Parker <deparker@redhat.com> - 1.10.3-7
- Update to include annocheck fixes
- Resolves: rhbz#1624421

* Wed Oct 10 2018 Derek Parker <deparker@redhat.com> - 1.10.3-6
- Update to include UnreachableExceptTests Go fix
- Resolves: rhbz#1634748

* Wed Oct 3 2018 Derek Parker <deparker@redhat.com> - 1.10.3-5
- Remove SCL
- Related: rhbz#1635066

* Tue Sep 25 2018 Derek Parker <deparker@redhat.com> - 1.10.3-4
- Fix GOPATH issue pointing to old go-toolset-7 SCL.
- Resolves: rhbz#1607823

* Tue Sep 25 2018 Derek Parker <deparker@redhat.com> - 1.10.3-4
- Include runtime FIPS detection patch.

* Tue Jul 31 2018 Derek Parker <deparker@redhat.com> - 1.10.3-3
- Un-revert SCL macro changes -- they actually should be applied.

* Tue Jul 31 2018 Derek Parker <deparker@redhat.com> - 1.10.3-2
- Revert RHEL8 SCL macro changes

* Tue Jul 17 2018 Derek Parker <deparker@redhat.com> - 1.10.3-1
- Rebase to 1.10.3

* Mon Jul 16 2018 Derek Parker <deparker@redhat.com> - 1.10.2-5
- Update SCL macro.

* Thu Jun 7 2018 Derek Parker <deparker@redhat.com> - 1.10.2-4
- Bump release for new golang package, providing patch for OpenSSL thread safety initialization.

* Wed Jun 6 2018 Derek Parker <deparker@redhat.com> - 1.10.2-3
- Bump for Go FIPS inclusion.

* Mon Jun 4 2018 Derek Parker <deparker@redhat.com> - 1.10.2-2
- Bump for backported test patch in golang.

* Wed May 23 2018 Derek Parker <deparker@redhat.com> - 1.10.2-1
- Bump to golang 1.10.2

* Fri Apr 6 2018 Derek Parker <deparker@redhat.com> - 1.10.1-1
- Bump to golang 1.10.1

* Thu Mar 1 2018 Derek Parker <deparker@redhat.com> - 1.8-14
- Fix issue removing nonexistent file
- Resolves: rhbz#1550079

* Tue Feb 27 2018 Derek Parker <deparker@redhat.com> - 1.8-13
- Move enable_gotoolset7 to runtime package
- Resolves: rhbz#1544492

* Tue Feb 27 2018 Derek Parker <deparker@redhat.com> - 1.8-12
- Add enable_gotoolset7 macro to make it easier to activate go-toolset-7 during package builds.

* Mon Feb 26 2018 Derek Parker <deparker@redhat.com> - 1.8-11
- Remove Dockerfiles subpackage
- Resolves: rhbz#1548034, rhbz#1521197

* Tue Oct 17 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-10
- improve enable script
- Resolves: rhbz#1501760

* Wed Oct 04 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-9
- Update docker archive

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-8
- NVR bump

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-7
- Update docker archive

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-6
- Add dockerfiles

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-5
- Add stub dockerfiles sub-package

* Thu Jun 29 2017 Jakub Čajka jcajka@redhat.com 1.8-4
- add ExclusiveArches
- Resolves: BZ#1466199

* Wed Jun 21 2017 Jakub Čajka jcajka@redhat.com 1.8-3
- fix macro definition

* Thu Jun 15 2017 Jakub Čajka jcajka@redhat.com 1.8-2
- regular build

* Wed May 10 2017 Jakub Čajka jcajka@redhat.com 1.8-1
- Initial package
